--- old/usr/src/uts/common/Makefile.files	Mon Aug  5 17:25:51 2019
+++ new/usr/src/uts/common/Makefile.files	Mon Aug  5 17:25:51 2019
@@ -23,11 +23,11 @@
 # Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2011, 2014 by Delphix. All rights reserved.
 # Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
-# Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 # Copyright (c) 2017, Joyent, Inc.
 # Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Copyright 2016 Hans Rosenfeld <rosenfeld@grumpf.hope-2000.org>
+# Copyright 2018 Nexenta Systems, Inc.  All rights reserved.
 #
 
 #
@@ -160,6 +160,7 @@
 		devid_smp.o	\
 		devpolicy.o	\
 		disp_lock.o	\
+		dkioc_free_util.o \
 		dnlc.o		\
 		driver.o	\
 		dumpsubr.o	\
@@ -951,15 +952,19 @@
 EMLXS_FW_OBJS +=	emlxs_fw.o
 
 OCE_OBJS +=	oce_buf.o oce_fm.o oce_gld.o oce_hw.o oce_intr.o oce_main.o \
-		oce_mbx.o oce_mq.o oce_queue.o oce_rx.o oce_stat.o oce_tx.o \
-		oce_utils.o
+		oce_mbx.o oce_mq.o oce_queue.o oce_ring.o oce_rx.o oce_stat.o \
+		oce_tx.o oce_utils.o
 
 FCT_OBJS += discovery.o fct.o
 
-QLT_OBJS += 2400.o 2500.o 8100.o qlt.o qlt_dma.o
+QLT_OBJS += 2400.o 2500.o 2700.o 8100.o 8300fc.o qlt.o qlt_dma.o
 
 SRPT_OBJS += srpt_mod.o srpt_ch.o srpt_cm.o srpt_ioc.o srpt_stp.o
 
+AOE_OBJS += aoe.o
+
+AOEBLK_OBJS += aoeblk.o
+
 FCOE_OBJS += fcoe.o fcoe_eth.o fcoe_fc.o
 
 FCOET_OBJS += fcoet.o fcoet_eth.o fcoet_fc.o
@@ -978,7 +983,7 @@
 
 STMF_OBJS += lun_map.o stmf.o
 
-STMF_SBD_OBJS += sbd.o sbd_scsi.o sbd_pgr.o sbd_zvol.o
+STMF_SBD_OBJS += sbd.o sbd_scsi.o sbd_pgr.o sbd_zvol.o ats_copy_mgr.o
 
 SYSMSG_OBJS +=	sysmsg.o
 
@@ -1056,8 +1061,8 @@
 
 FP_OBJS += fp.o
 
-QLC_OBJS += ql_api.o ql_debug.o ql_hba_fru.o ql_init.o ql_iocb.o ql_ioctl.o \
-	ql_isr.o ql_mbx.o ql_nx.o ql_xioctl.o ql_fw_table.o
+QLC_OBJS += ql_api.o ql_debug.o ql_fm.o ql_hba_fru.o ql_init.o ql_iocb.o \
+	ql_ioctl.o ql_isr.o ql_mbx.o ql_nx.o ql_xioctl.o ql_fw_table.o
 
 QLC_FW_2200_OBJS += ql_fw_2200.o
 
@@ -1067,10 +1072,14 @@
 
 QLC_FW_2500_OBJS += ql_fw_2500.o
 
+QLC_FW_2700_OBJS += ql_fw_2700.o
+
 QLC_FW_6322_OBJS += ql_fw_6322.o
 
 QLC_FW_8100_OBJS += ql_fw_8100.o
 
+QLC_FW_8301FC_OBJS += ql_fw_8301fc.o
+
 QLGE_OBJS += qlge.o qlge_dbg.o qlge_flash.o qlge_fm.o qlge_gld.o qlge_mpi.o
 
 ZCONS_OBJS += zcons.o
@@ -1169,8 +1178,13 @@
 		nfs4_srv.o	nfs4_state.o	nfs4_srv_attr.o \
 		nfs4_srv_ns.o	nfs4_db.o	nfs4_srv_deleg.o \
 		nfs4_deleg_ops.o nfs4_srv_readdir.o nfs4_dispatch.o
+#
+# NFSv4 HA module
+#
+NFS_HA_OBJS += cl_bootstrap.o
 
 SMBSRV_SHARED_OBJS += \
+		smb_cfg_util.o \
 		smb_door_legacy.o \
 		smb_inet.o \
 		smb_match.o \
@@ -1190,8 +1204,10 @@
 SMBSRV_OBJS +=	$(SMBSRV_SHARED_OBJS)			\
 		smb_acl.o				\
 		smb_alloc.o				\
+		smb_audit.o				\
 		smb_authenticate.o			\
 		smb_close.o				\
+		smb_cmn_oplock.o			\
 		smb_cmn_rename.o			\
 		smb_cmn_setfile.o			\
 		smb_common_open.o			\
@@ -1252,6 +1268,7 @@
 		smb_set_fileinfo.o			\
 		smb_sign_kcf.o				\
 		smb_signing.o				\
+		smb_srv_oplock.o			\
 		smb_thread.o				\
 		smb_tree.o				\
 		smb_trans2_create_directory.o		\
@@ -1260,12 +1277,13 @@
 		smb_tree_connect.o			\
 		smb_unlock_byte_range.o			\
 		smb_user.o				\
-		smb_vfs.o				\
 		smb_vops.o				\
 		smb_vss.o				\
 		smb_write.o				\
 		\
+		smb2_aapl.o \
 		smb2_dispatch.o \
+		smb2_durable.o \
 		smb2_cancel.o \
 		smb2_change_notify.o \
 		smb2_close.o \
@@ -1272,7 +1290,12 @@
 		smb2_create.o \
 		smb2_echo.o \
 		smb2_flush.o \
+		smb2_fsctl_copychunk.o \
+		smb2_fsctl_fs.o \
+		smb2_fsctl_odx.o \
+		smb2_fsctl_sparse.o \
 		smb2_ioctl.o \
+		smb2_lease.o \
 		smb2_lock.o \
 		smb2_logoff.o \
 		smb2_negotiate.o \
@@ -1294,7 +1317,10 @@
 		smb2_signing.o \
 		smb2_tree_connect.o \
 		smb2_tree_disconn.o \
-		smb2_write.o
+		smb2_write.o \
+		\
+		smb3_encrypt.o \
+		smb3_encrypt_kcf.o
 
 PCFS_OBJS +=	pc_alloc.o	pc_dir.o	pc_node.o	pc_subr.o \
 		pc_vfsops.o	pc_vnops.o
@@ -1335,11 +1361,13 @@
 NSMB_OBJS +=	smb_conn.o	smb_dev.o	smb_iod.o	smb_pass.o \
 		smb_rq.o	smb_sign.o	smb_smb.o	smb_subrs.o \
 		smb_time.o	smb_tran.o	smb_trantcp.o	smb_usr.o \
-		subr_mchain.o
+		smb2_rq.o	smb2_sign.o 	smb2_smb.o	subr_mchain.o \
+		nsmb_sign_kcf.o
 
 SMBFS_COMMON_OBJS += smbfs_ntacl.o
 SMBFS_OBJS +=	smbfs_vfsops.o	smbfs_vnops.o	smbfs_node.o	\
 		smbfs_acl.o	smbfs_client.o	smbfs_smb.o	\
+		smbfs_smb1.o	smbfs_smb2.o	\
 		smbfs_subr.o	smbfs_subr2.o	\
 		smbfs_rwlock.o	smbfs_xattr.o	\
 		$(SMBFS_COMMON_OBJS)
@@ -1377,14 +1405,13 @@
 
 ZFS_COMMON_OBJS +=		\
 	abd.o			\
-	aggsum.o		\
 	arc.o			\
+	autosnap.o		\
 	blkptr.o		\
 	bplist.o		\
 	bpobj.o			\
 	bptree.o		\
 	bqueue.o		\
-	cityhash.o		\
 	dbuf.o			\
 	ddt.o			\
 	ddt_zap.o		\
@@ -1391,6 +1418,7 @@
 	dmu.o			\
 	dmu_diff.o		\
 	dmu_send.o		\
+	dmu_krrp.o		\
 	dmu_object.o		\
 	dmu_objset.o		\
 	dmu_traverse.o		\
@@ -1435,15 +1463,11 @@
 	vdev.o			\
 	vdev_cache.o		\
 	vdev_file.o		\
-	vdev_indirect.o		\
-	vdev_indirect_births.o	\
-	vdev_indirect_mapping.o	\
 	vdev_label.o		\
 	vdev_mirror.o		\
 	vdev_missing.o		\
 	vdev_queue.o		\
 	vdev_raidz.o		\
-	vdev_removal.o		\
 	vdev_root.o		\
 	zap.o			\
 	zap_leaf.o		\
@@ -1465,11 +1489,17 @@
 	zio_compress.o		\
 	zio_inject.o		\
 	zle.o			\
-	zrlock.o		\
-	zthr.o
+	zrlock.o
 
+ZFS_COMMON_OBJS +=		\
+	cos.o			\
+	spa_vdev_props.o	\
+	special.o		\
+	wbc.o
+
 ZFS_SHARED_OBJS +=		\
 	zfeature_common.o	\
+	zfs_sendrecv.o		\
 	zfs_comutil.o		\
 	zfs_deleg.o		\
 	zfs_fletcher.o		\
@@ -1476,7 +1506,9 @@
 	zfs_namecheck.o		\
 	zfs_prop.o		\
 	zpool_prop.o		\
-	zprop_common.o
+	zprop_common.o		\
+	cos_prop.o		\
+	vdev_prop.o
 
 ZFS_OBJS +=			\
 	$(ZFS_COMMON_OBJS)	\
@@ -1556,8 +1588,8 @@
 
 TLIMOD_OBJS +=	tlimod.o	t_kalloc.o	t_kbind.o	t_kclose.o \
 		t_kconnect.o	t_kfree.o	t_kgtstate.o	t_kopen.o \
-		t_krcvudat.o	t_ksndudat.o	t_kspoll.o	t_kunbind.o \
-		t_kutil.o
+		t_koptmgmt.o	t_krcvudat.o	t_ksndudat.o	t_kspoll.o \
+		t_kunbind.o	t_kutil.o
 
 RLMOD_OBJS += rlmod.o
 
@@ -1679,10 +1711,10 @@
 #
 #	Font data for generated 8x16 font
 #
-VGATEXT_FONT	= 8x16
-VGATEXT_FONT_SRC= 8859-1
-VGATEXT_FONT_DIR= $(UTSBASE)/common/font
-FONT_OBJS += font.o 6x10.o 7x14.o 8x16.o 12x22.o
+FONT	= 8x16
+FONT_SRC= ter-u16n
+FONT_DIR= $(SRC)/data/consfonts
+FONT_OBJS += font.o $(FONT).o
 
 KBTRANS_OBJS +=				\
 		kbtrans.o		\
@@ -1923,6 +1955,11 @@
 MPTSAS_OBJS += mptsas.o mptsas_hash.o mptsas_impl.o mptsas_init.o \
 		mptsas_raid.o mptsas_smhba.o
 
+SMARTPQI_OBJS += smartpqi_main.o smartpqi_intr.o smartpqi_hba.o \
+		smartpqi_util.o smartpqi_hw.o smartpqi_init.o \
+		smartpqi_sis.o
+
+
 SFE_OBJS += sfe.o sfe_util.o
 
 BFE_OBJS += bfe.o
@@ -1944,6 +1981,14 @@
 
 NVME_OBJS = nvme.o
 
+KRRP_SHARED_OBJS += krrp_error.o krrp_ioctl_common.o krrp_params.o
+
+KRRP_OBJS += krrp.o krrp_svc.o krrp_ioctl.o krrp_server.o \
+			krrp_session.o krrp_pdu.o krrp_dblk.o \
+			krrp_protocol.o krrp_connection.o krrp_queue.o \
+			krrp_stream.o krrp_stream_task.o krrp_autosnap.o\
+			$(KRRP_SHARED_OBJS)
+
 #
 #	Build up defines and paths.
 #
@@ -2258,3 +2303,15 @@
 		lm_sp_req_mgr.o		\
 		lm_stats.o		\
 		lm_util.o
+
+#
+# The QEDE_EN_OBJS list are general objects that are shared across
+# multiple different operating systems. QEDE_OBJS are illumos-specific
+# objects.
+#
+QEDE_OBJS += qede_cfg.o qede_dbg.o qede_fp.o qede_gld.o \
+	     qede_kstat.o qede_main.o qede_misc.o qede_osal.o
+QEDE_GEN_OBJS += ecore_hw.o ecore_cxt.o ecore_selftest.o ecore_init_ops.o \
+		  ecore_init_fw_funcs.o ecore_sp_commands.o ecore_dcbx.o \
+		  ecore_dbg_fw_funcs.o ecore_mcp.o ecore_spq.o ecore_phy.o \
+		  ecore_dev.o ecore_l2.o ecore_int.o
